unit GMVars;

interface
  uses Windows;

const
Title='IDeyaX_OpenGL_Engine';
MouseLB=256;
MouseRB=257;
MouseMB=258;

Pi_180=Pi/180;
Pi_M180=Pi*180;
Pi_2=Pi/2;
ARAD=57.29577951308232;

TexW=1/512;

ActionCreate=0;
ActionSelect=1;
ActionNone=255;


const
 Stand=0;
 Move1=1;
 Sit=2;
 Fight1=3;
 Fight2=4;
 Fight3=5;


type TVector=record
      x,y:single;
    end;


type
TanimKadr=record
   GFXfileId:integer;
   Binfilename:string;
   Index:integer;
   x1,y1,x2,y2:real;
   w,h:real;
   Speed:integer;
end;

 type
  TVSyncMode = (vsmSync, vsmNoSync);

 type
 TState = (sGMenu, sOptions, sRecords, sAuthor, sExit, sGame,sDeath,sVictory);   //  

var
  SCRW:integer;
  SCRH:integer;
  SCR2W:integer;
  SCR2H:integer;
  SCRHZ:integer; // 
  SCRBit:integer; // 
  FullScreen:boolean;
  Sync:boolean;
  SCRXOffset,
  SCRYOffset:integer;
  CenterScreen:boolean=false;


  GWHandle: hWnd;
  GWDC: HDC;
  GWHRC: HGLRC;
  GWInstance: HINST;

   CurrentTime : Longint;
   FPSLastTickCount : Longint;
   FPSFrames        : Longint;
   FPS              : Single;


   GUItexture:cardinal;

 Keys: array [0..258] of Boolean;
 MousePos:tpoint;

  MySysfont:Dword;
  MySysfont2:Dword;

   Pathstr:string='';
 GameStatus:TState=sGMenu;
 SelectPunkt:integer=0;
  EngineStart:boolean=false;

  wTime, wTime_Delta, wTime_Old,
  ups_delta, ups_time_old, ups_time : DWORD;

  fps_time  : Integer=0;
  fps_cur   : Integer=0;
  g_FPS     : Integer=0;
  Timer_Freq   : LARGE_INTEGER;


 AnimationBox:array of TanimKadr;

 SelectHero:integer=0;
 GroundLine:integer=0;

  frameStart:integer=0;
  framesPerSec:single=60;
  GameStartTime:Integer;

  EnterName:string='User';
  EnterNamePos:integer=4;


 Titul_menu : array[0..4] of string =
  (' ',
   '',
   '',
   '',
   '');

 Author_menu: array[0..20] of string=
  ('             :',
   '        aka Gambit_oz',
   '                   <IdeyaX studio>',
   '     e-Mail : greenrat@mail333.com',
   '',
   '             :',
   '            Gambit_oz',
   '',
   '           :',
   '             Gambit_oz',
   '',
   '        :',
   '         IDE          - Delphi 6',
   '               - Adobe Photoshop 7.0',
   '                      - 3dsmax 3.0',
   '       Sound          - www.yandex.ru',
   '',
   '',
   '',
   '      13.09.2007 - 23.09.2007',
   '        code.darthman.com');


implementation

end.
