unit HS_gproc;
interface

uses LexUtils, LTe_friend;

const
  kMTX_c    : Integer = 16;  //    

var
  //oMX, oMY  : Integer;
  Gran      : TMRect;
  Camera    : TM2DRealPoint;
  //_________________________________________________________________________
  // 
  kMTX      : Integer;  //     
  kMTY      : Integer;  //     

  sMT       : Single;   //  
  sCloudMin : Single;
  sRocket,
  xRocket   : TM2DRealPoint;

  //_________________________________________________________________________
  //  
  startX,
  startY,
  endX,
  endY      : Integer;
  //_________________________________________________________________________
  InS : String;

procedure SetDSize;
procedure SetSize;
procedure GetEndXY;
procedure GetCameraXY;
function randExpl : Single;

implementation
uses
  HS_Map, HS_hero, Setup;

procedure SetDSize;
begin
  kMTX := round(WinW / sMT);
  kMTY := round(WinH / sMT) + 1;

  sRocket := Set2DRealPoint(0.2*sMT, 0.4*sMT);
  xRocket.X := sRocket.X /2;
  xRocket.Y := sRocket.Y /2;
  
  sCloudMin := WinW / 6;

  Gran.X := round(WinW / 2.5);
  Gran.W := WinW - Gran.X;

  Gran.Y := round(WinH / 2.5);
  Gran.H := WinH - Gran.Y;
 // HeroHS := sMT / 2;
end;

procedure SetSize;
begin
  sMT := 64;
  SetDSize;
end;

procedure GetEndXY;
begin
  startX := round(( Camera.X + smT )  / smT -2);
  startY := round(( Camera.Y + smT )  / smT -2);

  if startX < 0 then
    startX := 0;
  if startY < 0 then
    startY := 0;

  if startX + kMTX + 4> Map.X  then
    endX := Map.X
  else
   endX := startX + kMTX + 4;

  if startY + kMTY + 1> Map.Y  then
    endY := Map.Y
  else
    endY := startY + kMTY + 1;
  Camera_Set(Camera);  
end;

procedure GetCameraXY;
begin
  // :
  if (Hero.P.Y > Camera.Y + Gran.H)
  then
  Camera.Y := Hero.P.Y - Gran.H
  else
  if (Hero.P.Y < Camera.Y + Gran.Y)
  then
  Camera.Y := Hero.P.Y - Gran.Y;

  if (Hero.P.X > Camera.X + Gran.W)
  then
  Camera.X := Hero.P.X - Gran.W
  else
  if (Hero.P.X < Camera.X + Gran.X)
  then
  Camera.X := Hero.P.X - Gran.X;

  if Camera.Y < 0 then Camera.Y:=0;
  if Camera.X < 0 then Camera.X:=0;
end;

function randExpl;
begin
  Result := sMT/2 + random(round(sMT));
end;

end.
