unit HS_materials;

interface
uses
  Omega, LTe_friend;
const
  MofTile = 19;
var
// 
  FontA1 : Omega.PFONT2D;

// 
  m_Tile : array[1..MofTile, 1..18] of PTexture;

// 
  m_Gun  : array[1..2] of PTexture;

//  
  m_Cur,
  m_HSName,
  m_cell,
  m_HSLOGO : PTexture;

// 
  m_blood,
  m_fw,
  m_Expl,
  m_bullet : tLxMaterial;
procedure Load;

implementation
uses
  LexUtils, HS_bullet;

const
  MofMG = 1;
var
  GFN : array[1..2] of string = ('red_t', '2');
procedure Load;
const
  F = TEX_DEFAULT_2D or TEX_USEMASK;
var
  //F : Integer;
  I, J : Integer;
begin
  

  //____________________________________________________________________________
  Tex_LoadMaskFromFile(PChar('Data\logo_m.GIF'));
  m_HSLogo := Tex_LoadFromFile('Data\logo.GIF',  -1, F);
  Tex_LoadMaskFromFile(PChar('Data\Name_m.GIF'));
  m_HSName := Tex_LoadFromFile('Data\Name.GIF',  -1, F);
  Tex_LoadMaskFromFile(PChar('Data\Cur_m.GIF'));
  m_Cur := Tex_LoadFromFile('Data\Cur.GIF',  -1, F);
  //____________________________________________________________________________
  m_Expl := Texture_Load('Data\Expl.JPG', 'Data\Expl.JPG');
  Pattern_Set(m_Expl.PatternN, 4, 4);
  Expl_Add(m_expl, 0, 0, 0, Int2RGB($FF));
  //____________________________________________________________________________
  Tex_LoadMaskFromFile(PChar('Data\Font1.gif'));
  FontA1  := Text_LoadFontFromFile( 'Data\w_512.GIF', 'Data\Font1.ofi', -1, F);
  //____________________________________________________________________________
  for J := 1 to 18 do
  begin
    Tex_LoadMaskFromFile( PChar('Data\m' + Int2S(J) + '.JPG') );
    for I := 1 to MofTile do
      m_Tile[I, J] := Tex_LoadFromFile( PChar('Data\' + Int2S(I) + '.JPG'), -1, F);
  end;

  m_blood  := Texture_Load('Data\blood.JPG', 'Data\blood_m.JPG');
  m_fw     := Texture_Load('Data\fw.JPG', 'Data\fw_m.JPG');
  m_bullet := Texture_Load('Data\blt.JPG', 'Data\blt_m.GIF');
  Pattern_Set(m_bullet.PatternN, 4, 1);
  //____________________________________________________________________________
  Tex_LoadMaskFromFile('Data\c_m.GIF');
  m_cell := Tex_LoadFromFile('Data\c.GIF', -1, F);
  //____________________________________________________________________________


end;

end.
