
{$r cdmlex.res}

program StormyDay;

uses
  Windows,
  LexUtils in 'LexUtils.pas',
  OMEGA in 'OMEGA.pas',
  HS_Game in 'HS_Game.pas',
  HS_gproc in 'HS_gproc.pas',
  HS_Live in 'HS_Live.pas',
  HS_map in 'HS_map.pas',
  HS_materials in 'HS_materials.pas',
  HS_Procs in 'HS_Procs.pas',
  Setup in 'Setup.pas',
  HS_bar in 'HS_bar.pas',
  HS_expl in 'HS_expl.pas',
  GSound in 'GSound.pas',
  HS_menu in 'HS_menu.pas',
  HS_console in 'HS_console.pas',
  HS_Intro in 'HS_Intro.pas',
  HS_win in 'HS_win.pas',
  HS_hero in 'HS_hero.pas',
  LTe_friend in 'LTe_friend.pas',
  HS_bullet in 'HS_bullet.pas',
  HS_en in 'HS_en.pas';

var
  TimerL : OMEGA.POTimer;

procedure MapsLoad;
var
  F : TextFile;
  I : Integer;
  S, S2 : string;
begin
  AssignFile(F, 'Maps\Maps.TXT');
  Reset(F);
  SetLength(LevelS, 1);
  while not EoF(F) do
  begin
    Readln(F, S);
    Readln(F, S2);
    if FileEx(S) then
    begin
      I := Length(LevelS);
      SetLength(LevelS, I + 1);
      LevelS[I, 1] := S;
      LevelS[I, 2] := S2;
    end;
  end;
  CloseFile(F);
  MofLevel := Length(LevelS) - 1;
end;

begin
//   IGDC
// _____________________________________________________________________________
//   
  Setup.LoadSetupFile;
//______________________________________________________________________________  
  MapsLoad;

  ffVSync := VSync;
// _____________________________________________________________________________

  Randomize;
  LoadOMEGA( 'Dll\OMEGA.dll' );
  TimerL := Timer_Create( @HS_Procs.Work, 11, 0 );
  TimerL.Active := True;
  OE_RegProcedure( SYS_INIT, @HS_Procs.Init );
  OE_RegProcedure( SYS_DRAW, @HS_Procs.Draw );
  OE_SetScreenOptions(WinW, WinH, WinColors, 0, FullWin, VSync);
  Omega.OE_SetWndPosition((GetSystemMetrics(SM_CXSCREEN) - WinW) div 2,
                          (GetSystemMetrics(SM_CYSCREEN) - WinH) div 2 -20 );
  OE_ShowCursor( FALSE ); //   
  OE_SetWndName(PChar( 'cdmlex' + #39 +'s Stormy Day'+'   (19.10.09)' ));
  TofG := 3;
// !!!
  HS_Menu.Init;

  LTe_friend.Color_Clear;
  OE_Init;
// _____________________________________________________________________________

end.
