// LexUtils v0.4
// (c) cdmlex 2009
//__________________________

unit LexUtils;

interface

type
  TMRect = record
    X, Y, H, W : word;
  end;

{  TM2DRealPoint = record
    X, Y : Single;
  end;

  TM2DPoint = record
    X, Y : Integer;
  end;
        }
  TM2DObj = record
    X, Y,
    R, M : Single;
  end;  
       {
  CL2DRealObj = class
    P,
    S,
    M : TM2DRealPoint;
    R : Single;
    procedure Move;
    procedure SetM(inR, pM : Single);
  end;  }

{  function Set2DRealPoint(X, Y : Single) : TM2DRealPoint;
  function Set2DPoint(X, Y : Integer) : TM2DPoint;
}
function SetExplColor(I : byte) : integer;
function  XYinRect(X, Y : single; R :TMRect) : boolean;
function  Int2S   (I : integer)              : string;
function  S2Int   (S : string)               : integer;
function  FileEx  (FN : string)              : boolean;
procedure App     (var X : single; I : real);
function  S2Bool  (S  : string)              : boolean;

implementation
var
  Vrndz : Single = 5;

function SetExplColor(I : Byte) : Integer;
begin
  case I of
    1 : Result := 1513471 ;
    2 : Result := 65280 ;
    3 : Result := 4298475 ;
    4 : Result := 65535 ;
    5 : Result := 16581129 ;
    6 : Result := 15852069 ;
    7 : Result := 16581129;
    8 : Result := 1949427
    else
        Result := 0;
  end;
end;

function XYinRect(X, Y : single; R :TMRect) : boolean;
begin
  if  (X > R.X)
  and (Y > R.Y)
  and (X < R.X + R.W)
  and (Y < R.Y + R.H)
  then
    result:=true
  else
    result:=false;
end;

function Int2S(I : integer): string;
begin
  str(I,result);
end;

function S2Int(S : string): integer;
var
  O : integer;
begin
  Val(S, result, O);
  if O <> 0 then
    result := -666;
end;

function FileEx(FN : string) : boolean;
var
F : textfile;
begin
  Assignfile(F, FN);
  {$i-}
  Reset(F);
  CloseFile(F);
  {$i+}
  if ioresult = 0 then
    result := true
  else
    result := false;
end;

procedure app( var X : single; I : real);
begin
  X:=X+I;
end;

function Get2K( I : integer ): integer;
begin
  if I>=1024 then result:=1024
  else
  if I>=512  then result:=512
  else
  if I>=256  then result:=256
  else
  if I>=128  then result:=128
  else
  if I>=64   then result:=64
  else
  if I>=32   then result:=32
  else
  if I>=16   then result:=16
  else
  if I>=8    then result:=8
  else
  result := 32;
end;

function S2Bool(S : string) : boolean;
begin
  if S = 'TRUE' then
    result := TRUE
  else
    result := FALSE;
end;
{
function Set2DRealPoint(X, Y : Single) : TM2DRealPoint;
begin
  Result.X := X;
  Result.Y := Y;
end;

function Set2DPoint(X, Y : Integer) : TM2DPoint;
begin
  Result.X := X;
  Result.Y := Y;
end;

function Rndz;
begin
  case round(vrndz) of
    1 : Result := Min;
    2 : Result := Min + 0.2*(Max-Min);
    3 : Result := Min + 0.5*(Max-Min);
    4 : Result := Min + 0.7*(Max-Min);
    5 : Result := Max;
  end;

  app(vrndz, V/5);
  if vrndz < 1 then
    vrndz := 5
  else
  if vrndz > 5 then
    vrndz := 1;
end;
//*** RealObj ***
procedure CL2DRealObj.Move;
begin
  app(P.X, M.X);
  app(P.Y, M.Y);
end;

procedure CL2DRealObj.SetM;
var
  MR : Single;
begin
  MR  := pi*(inR - 90 )/180;
  M.X := cos(MR)* pM;
  M.Y := sin(MR)* pM;
end; }

end.
