unit HS_Intro;

interface
procedure Draw;
procedure Work;

implementation
uses
  LexUtils,
  Omega, Setup, HS_Procs, HS_Materials, GSound;
const
  cS = 128;

var
  L2 : Word = 270;
  L  : Word = 100;
  S  : Single = 16;
  A  : Single = 0;
  R  : Single = 0;

procedure Draw;
begin
  if L2 < 115 then
    Text_Draw(FontA1, (WinW - Omega.Text_GetWidth
             (FontA1, ' ', 1.2)) / 2, (WinH + 140)/ 2,
                      '' , 1.2, 0, round(A), $0);

  if L < 15 then
  begin
    SSPrite_Draw(m_HSLogo, (WinW - S) / 2, WinH / 2 - S, round(S), round(S*2), round(A), R );
  end
  else
  if L < 345 then
    Text_Draw(FontA1, (WinW - Omega.Text_GetWidth
             (FontA1, PChar(Int2S((L) div 30)), 1)) / 2, (WinH - 32 )/ 2,
                      PChar(Int2S((L) div 30)), 1);
end;

procedure Work;
begin
  if L < 15 then
  begin
  if A < 255 then
      app(A, 0.5);

  if S < cS then
  begin
    if L < 1 then
    begin
      L := 4;
      S := S + 2;
    end
    else
    Dec(L);
  end
  else
  begin
    if L2 > 2 then
      Dec(L2)
    else
    begin
      app(R, 15);
      S := S + 40;
      if A > 5 then
        app(A, -3.5)
      else
      begin
        TofG := 2;
        TrackPlay;
      end;
    end;
  end;
  end
  else
    Dec(L);

  if Key_Press(k_Escape) then
  begin
    TofG := 2;
    TrackPlay;
  end;
end;

end.
