unit HS_Live;

interface
uses
   LexUtils, LTe_friend;

function whatroll(x2, x1, y2, y1 :real) : integer;
function fly (inH : TM2DRealPoint; inP, R : Single; var outH : TM2DRealPoint) : boolean;

implementation
uses
  HS_map,
  HS_procs,
  HS_gproc;

const
  b_02 = 0.34;
  b_08 = 1 - b_02;
  

function whatroll;
function asmroll(x1, y1 :real) : real;
asm
  FLD Y1
  FLD X1
  FPATAN
  FWAIT
end;
begin
  result:=round(asmroll(x1-x2,y1-y2)*57.32) + 90;
end;

function fly;
var
  MR : single;
  dP : TM2DRealPoint;
begin

  MR := pi*(R - 90 )/180;

  dP.X := cos(MR)* inP;
  dP.Y := sin(MR)* inP;

  outH.X := inH.X + dP.X;
  outH.Y := inH.Y + dP.Y;

end;


end.
